### Property

# Gio SocketClient:tls

since: 2.22

#### Declaration

    property tls: gboolean [ read, write, construct ]

#### Description

Whether to create TLS connections.

Type: | `gboolean`
Available since: | 2.22

Default value | FALSE
Getter method | `g_socket_client_get_tls()`
Setter method | `g_socket_client_set_tls()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no